Bug 737613 (CVE-2011-2731) - CVE-2011-2731 Spring Security: Privilege escalation by using RunAsManager mechanism
Summary: CVE-2011-2731 Spring Security: Privilege escalation by using RunAsManager mec...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2011-2731
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20110909,repor...
Depends On:
Blocks: 737623
TreeView+ depends on / blocked
 
Reported: 2011-09-12 17:51 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-15 08:44:08 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-09-12 17:51:43 UTC
A privilege escalation flaw was found in the way the RunAsManager mechanism of the Spring Security tool performed user account (privileges) switch. Due to a race condition, a remote attacker could use this flaw to escalate their privileges (elevated privileges would be shared between concurrently executing threads).

References:
[1] http://www.securityfocus.com/archive/1/519594/30/0/threaded
[2] http://www.springsource.com/security/cve-2011-2731

Comment 1 Jan Lieskovsky 2011-09-12 17:52:47 UTC
Sample PoC (from [1]):
======================
<quote>
Example:
If the RunAsManager returns an Authentication object for the current invocation, the security interceptor will temporarily store this in the security context for the duration of the invocation. This authentication object would be shared with other concurrently executing threads, leading to a possible escalation of privileges in those threads.
</quote>

Comment 2 David Jorm 2011-09-15 08:44:08 UTC
Statement:

Not vulnerable. This issue affects the Spring Security package, which is not shipped with any Red Hat products.


Note You need to log in before you can comment on or make changes to this bug.